#include <Uefi.h>
#include <Library/UefiBootServicesTableLib.h>
#include <Library/PerformanceLib.h>


EFI_STATUS
EFIAPI
PerfDxeInit(
  IN EFI_HANDLE                            ImageHandle,
  IN EFI_SYSTEM_TABLE                      *SystemTable
  )
{
	EFI_STATUS                         Status;
	EFI_EVENT                          Timeout;
	UINTN																Index;
	
	Status = gBS->CreateEvent (EVT_TIMER,0,NULL,NULL,&Timeout);                  
	
	PERF_START_EX(ImageHandle,"CALIBRATE","PerfDxe",0,0);
	
	Status = gBS->SetTimer (Timeout, TimerRelative, 10000000);
	gBS->WaitForEvent(1,&Timeout,&Index);	
	
	PERF_END_EX(ImageHandle,"CALIBRATE","PerfDxe",0,0);
	return EFI_SUCCESS;
}